import sys
forge = sys.modules["forge"]

def setup(module):

	# the library
	srcList = [	"windowAS",
				"WindowEvent"
				]

	lib = module.Lib("fexWindow",srcList)

	deplibs =	forge.corelibs + [ ]

	forge.deps( ["fexWindowLib"], deplibs )


	# the plugin
	srcList = [	"window.pmh",
				"LogWindowHandler",
				"windowDL" ]

	dll = module.DLL( "fexWindowDL", srcList )

	deplibs =	forge.corelibs + [
				"feSignalLib",
				"fexWindowLib",
				"fexDataToolDLLib" ]

	forge.deps( ["fexWindowDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",		"fexWindowDL",					None,		None) ]

	module.Image("window")
